<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/BackendPage.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/admin/AdminPaymentsGrid.inc.php" );

	class AdminPaymentsPage extends BackendPage {
		protected $oAdminPaymentsGrid;

		public function __construct( $id = "AdminPaymentsPage" , $parent = null ) {
			parent::__construct( $id , $parent );
			if (!AdminUserModel::isAdminLoggedIn()) return;
			$this->oAdminPaymentsGrid = new AdminPaymentsGrid( "AdminPaymentsGrid" , $this );
		}

		public function modifyGetPost( &$g , &$p ) {
			if (isset( $g["ckedit"] ) && $g["ckedit"]) $this->bIsPopup = true;
			if ($this->bIsPopup) $this->oAdminPaymentsGrid->setSelector( true );
			parent::modifyGetPost( $g , $p );
		}
	}
?>
